<template>
  <component  :is="layout" class="gray-700 dark:gray-200 dark:bg-gray-800 dark:text-warm-gray-100 text-warm-gray-800 dark:bg-warm-gray-800">
	  <transition name="slide">
  	  <router-view />
		</transition>
  </component>
</template>
<script setup lang="ts">
import { useHead } from '@vueuse/head'
useHead({
  title: 'CV genadmin',
  meta: [
    { name: 'description', content: 'CV GenAdmin' },
  ],
})
const { currentRoute } = useRouter()
const appLayout = 'AppLayout'
const layout = computed(() => {
  return `${currentRoute.value.meta.layout || appLayout}`
})
</script>